Summary: Desktop backgrounds packaged with Fuduntu Linux
Name: fuduntu-backgrounds
Version: 1.0
Release: 14
License: Mixed Community Commons and Proprietary
Group: Applications/Multimedia
URL: http://www.fuduntu.org
Source0: %{name}-%{version}.tar.bz2
BuildArch: noarch
BuildRequires: fuduntu-release
Requires:	gdm
Requires:	GConf2
Requires:	fuduntu-release
Provides:	system-backgrounds-gnome
Obsoletes:	laughlin-backgrounds-gnome
Obsoletes:	laughlin-backgrounds-single

%description
Modern Tartan and Gothik Tartan - (c) Mickka
  Licensed to Fuduntu for redistribution (Proprietary License).
Black Backgrounds - (c) Freeman
  Licensed under Creative Commons
Fuduntu Wallpaper - (c) MonkeyAbout
  Licensed under Creative Commons
ESVedra - (c) Everest
  Licensed under Creative Commons

%prep
%setup -q

#%build
%post
gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults -t str -s /desktop/gnome/background/picture_filename "/usr/share/backgrounds/Fuduntu/Fuduntu_Logo2.png"
gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults -t str -s /desktop/gnome/background/picture_options "zoom"

if [ ! -d "/usr/share/gdm/" ]; then
  mkdir -p /usr/share/gdm/
fi

cat <<EOF > /usr/share/gdm/gdm-greeter-login-window.ui 
<?xml version="1.0"?>
<interface>
  <requires lib="gtk+" version="2.16"/>
  <!-- interface-naming-policy toplevel-contextual -->
      <object class="GtkFrame" id="window-frame">
        <property name="visible">True</property>
        <property name="label_xalign">0</property>
        <property name="shadow_type">out</property>
        <child>
          <object class="GtkAlignment" id="alignment2">
            <property name="visible">True</property>
            <property name="border_width">24</property>
            <child>
              <object class="GtkVBox" id="window-box">
                <property name="visible">True</property>
                <property name="spacing">10</property>
                <child>
                  <object class="GtkAlignment" id="alignment1">
                    <property name="visible">True</property>
                    <child>
                      <object class="GtkImage" id="logo-image">
                        <property name="visible">False</property>
                        <property name="pixel_size">64</property>
                        <property name="icon_name">computer</property>
                      </object>
                    </child>
                  </object>
                  <packing>
                    <property name="expand">False</property>
                    <property name="fill">False</property>
                    <property name="position">0</property>
                  </packing>
                </child>
                <child>
                  <object class="GtkEventBox" id="computer-info-event-box">
                    <property name="visible">False</property>
                    <property name="visible_window">False</property>
                    <child>
                      <object class="GtkNotebook" id="computer-info-notebook">
                        <property name="visible">False</property>
                        <property name="show_tabs">False</property>
                        <property name="show_border">False</property>
                        <child>
                          <object class="GtkLabel" id="computer-info-name-label">
                            <property name="visible">False</property>
                            <property name="label" translatable="yes">Computer Name</property>
                          </object>
                        </child>
                        <child type="tab">
                          <object class="GtkLabel" id="label3">
                            <property name="visible">True</property>
                            <property name="label">page 5</property>
                          </object>
                          <packing>
                            <property name="tab_fill">False</property>
                          </packing>
                        </child>
                        <child>
                          <object class="GtkLabel" id="computer-info-version-label">
                            <property name="visible">True</property>
                            <property name="label" translatable="yes">Version</property>
                          </object>
                          <packing>
                            <property name="position">1</property>
                          </packing>
                        </child>
                        <child type="tab">
                          <object class="GtkLabel" id="label11">
                            <property name="visible">True</property>
                          </object>
                          <packing>
                            <property name="position">1</property>
                            <property name="tab_fill">False</property>
                          </packing>
                        </child>
                        <child>
                          <placeholder/>
                        </child>
                        <child type="tab">
                          <object class="GtkLabel" id="label12">
                            <property name="visible">True</property>
                          </object>
                          <packing>
                            <property name="position">2</property>
                            <property name="tab_fill">False</property>
                          </packing>
                        </child>
                        <child>
                          <placeholder/>
                        </child>
                        <child type="tab">
                          <object class="GtkLabel" id="label13">
                            <property name="visible">True</property>
                          </object>
                          <packing>
                            <property name="position">3</property>
                            <property name="tab_fill">False</property>
                          </packing>
                        </child>
                        <child>
                          <placeholder/>
                        </child>
                        <child type="tab">
                          <object class="GtkLabel" id="label14">
                            <property name="visible">True</property>
                          </object>
                          <packing>
                            <property name="position">4</property>
                            <property name="tab_fill">False</property>
                          </packing>
                        </child>
                        <child>
                          <placeholder/>
                        </child>
                        <child type="tab">
                          <object class="GtkLabel" id="label15">
                            <property name="visible">True</property>
                          </object>
                          <packing>
                            <property name="position">5</property>
                            <property name="tab_fill">False</property>
                          </packing>
                        </child>
                        <child>
                          <placeholder/>
                        </child>
                        <child type="tab">
                          <object class="GtkLabel" id="label16">
                            <property name="visible">True</property>
                          </object>
                          <packing>
                            <property name="position">6</property>
                            <property name="tab_fill">False</property>
                          </packing>
                        </child>
                      </object>
                    </child>
                  </object>
                  <packing>
                    <property name="expand">False</property>
                    <property name="fill">False</property>
                    <property name="position">1</property>
                  </packing>
                </child>
                <child>
                  <object class="GtkLabel" id="auth-banner-label">
                    <property name="visible">True</property>
                    <property name="justify">center</property>
                    <property name="wrap">True</property>
                  </object>
                  <packing>
                    <property name="position">3</property>
                  </packing>
                </child>
                <child>
                  <object class="GtkAlignment" id="alignment3">
                    <property name="visible">True</property>
                    <child>
                      <object class="GtkVBox" id="selection-box">
                        <property name="visible">True</property>
                        <property name="spacing">2</property>
                        <child>
                          <object class="GtkAlignment" id="task-list-alignment">
                            <property name="visible">True</property>
                            <property name="xalign">1.0</property>
                            <property name="xscale">0.0</property>
                            <child>
                              <object class="GdmTaskList" id="task-list">
                                <property name="visible">False</property>
                              </object>
                            </child>
                          </object>
                          <packing>
                            <property name="expand">False</property>
                            <property name="fill">False</property>
                            <property name="position">0</property>
                          </packing>
                        </child>
                        <child>
                          <object class="GdmUserChooserWidget" id="user-chooser">
                            <property name="visible">False</property>
                          </object>
                          <packing>
                            <property name="expand">True</property>
                            <property name="fill">True</property>
                            <property name="position">1</property>
                          </packing>
                        </child>
                        <child>
                          <object class="GtkHBox" id="auth-page-box">
                            <property name="visible">True</property>
                            <property name="border_width">10</property>
                            <child>
                              <placeholder/>
                            </child>
                          </object>
                          <packing>
                            <property name="expand">False</property>
                            <property name="fill">False</property>
                            <property name="position">2</property>
                          </packing>
                        </child>
                      </object>
                    </child>
                  </object>
                  <packing>
                    <property name="position">4</property>
                  </packing>
                </child>
                <child>
                  <object class="GtkHButtonBox" id="buttonbox">
                    <property name="visible">True</property>
                    <property name="spacing">6</property>
                    <property name="layout_style">end</property>
                    <child>
                      <object class="GtkButton" id="cancel-button">
                        <property name="label">Cancel</property>
                        <property name="visible">True</property>
                        <property name="can_focus">True</property>
                      </object>
                      <packing>
                        <property name="expand">False</property>
                        <property name="fill">False</property>
                        <property name="position">0</property>
                      </packing>
                    </child>
                    <child>
                      <object class="GtkButton" id="unlock-button">
                        <property name="label" translatable="yes">Unlock</property>
                        <property name="visible">True</property>
                        <property name="can_focus">True</property>
                        <property name="can_default">True</property>
                        <property name="receives_default">True</property>
                      </object>
                      <packing>
                        <property name="expand">False</property>
                        <property name="fill">False</property>
                        <property name="position">1</property>
                      </packing>
                    </child>
                    <child>
                      <object class="GtkButton" id="log-in-button">
                        <property name="label" translatable="yes">Login</property>
                        <property name="visible">True</property>
                        <property name="can_focus">True</property>
                        <property name="can_default">True</property>
                        <property name="has_default">True</property>
                        <property name="receives_default">False</property>
                      </object>
                      <packing>
                        <property name="expand">False</property>
                        <property name="fill">False</property>
                        <property name="position">5</property>
                      </packing>
                    </child>
                  </object>
                  <packing>
                    <property name="expand">False</property>
                    <property name="fill">False</property>
                    <property name="pack_type">end</property>
                    <property name="position">2</property>
                  </packing>
                </child>
              </object>
            </child>
          </object>
        </child>
      </object>
</interface>
EOF

%install

mkdir -p $RPM_BUILD_ROOT%{_datadir}/{backgrounds,gnome-background-properties}

mv Everest $RPM_BUILD_ROOT%{_datadir}/backgrounds
mv Freeman $RPM_BUILD_ROOT%{_datadir}/backgrounds
mv Mickka $RPM_BUILD_ROOT%{_datadir}/backgrounds
mv Fuduntu $RPM_BUILD_ROOT%{_datadir}/backgrounds
mv fuduntu-wallpaper.xml $RPM_BUILD_ROOT%{_datadir}/gnome-background-properties

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_datadir}/gnome-background-properties
%{_datadir}/backgrounds/*

%changelog
* Sun Mar 20 2011 Andrew Wyatt <andrew@fuduntu.org> 1.0-14
- Fix background xml to display Fuduntu Logo 2 in appearance preferences

* Thu Mar 03 2011 Andrew Wyatt <andrew@fuduntu.org> 1.0-13
- Updated with new versions of Fuduntu wallpaper
- New GDM UI schema
- Updated dependencies

* Mon Mar 01 2011 Andrew Wyatt <andrew@fuduntu.org> 1.0-6
- Removed some of the wallpapers that didn't flow well
- Corrected for new default GDM wallpaper

* Mon Feb 21 2011 Andrew Wyatt <andrew@fuduntu.org> 1.0
- Fuduntu Wallpaper Initial Package
